Bug 520750

Summary: Software Update windows checks for update does not stop ..
Product: [Fedora] Fedora Reporter: Rakesh Pandit <rpandit>
Component: PackageKitAssignee: Richard Hughes <richard>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: awilliam, dwalsh, mclasen, rhughes, richard, smparrish
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-23 13:01:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 473303    

Description Rakesh Pandit 2009-09-02 03:24:02 EDT
Description of problem:

1. Request to remove the Help linking to yelp with no documentation.

2. The Software Update hangs for ever in rawhide when I click it for checking updates. At bottom it shows "Downloading: data" with no progress bar .. it seems confusing.

Screenshot: http://rakesh.fedorapeople.org/misc/Screenshot-1.png

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Click on notification area check updates
2. Click on help
3.
  
Actual results:
As mentioned in description.

Expected results:
Show current updates and help button point to proper documentation place if available or does not get enabled (or whatever is sane).

Additional info:

[rakesh@rocky Desktop]$ rpm -qa PackageKit
PackageKit-0.5.2-0.2.20090824git.fc12.x86_64
Comment 1 Richard Hughes 2009-09-02 04:17:56 EDT
Hmm. Does "pkcon get-updates" work in a terminal or does that fail too?
Comment 2 Rakesh Pandit 2009-09-02 04:22:29 EDT
Fails

[rakesh@rocky ~]$ pkcon get-updates
Command failed:  cannot start daemon: cannot GetTid: Launch helper exited with unknown return code 0
[rakesh@rocky ~]$
Comment 3 Richard Hughes 2009-09-02 08:08:43 EDT
I've fixed the help buttons too -- I looks like the new scrollkeeper is more
picky about series id values:

commit 13fc2df4e5e3a21ff2fbe1ddc672a1f6aa7a9595
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Sep 2 09:52:35 2009 +0100

    Fix the help buttons by ensuring the relation seriesid is unique
Comment 4 Richard Hughes 2009-09-02 08:12:40 EDT
(In reply to comment #2)
> [rakesh@rocky ~]$ pkcon get-updates
> Command failed:  cannot start daemon: cannot GetTid: Launch helper exited with
> unknown return code 0
> [rakesh@rocky ~]$  

Can you try removing PackageKit and re-installing it please. It looks like the daemon is not started for some reason.
Comment 5 Rakesh Pandit 2009-09-02 08:23:43 EDT
After removing and reinstalling:

[rakesh@rocky Desktop]$ pkcon get-updates
Command failed:  cannot start daemon: cannot GetTid: Launch helper exited with unknown return code 0
[rakesh@rocky Desktop]$ 

[rakesh@rocky Desktop]$ packagekitd
Error trying to start: Startup failed due to security policies on this machine.
This can happen for two reasons:
* The correct user is not launching the executable (usually root)
* The org.freedesktop.PackageKit.conf file is not installed in the system directory: '/etc/dbus-1/system.d'
[rakesh@rocky Desktop]$ 


[root@rocky ~]# packagekitd
Error trying to start: Startup failed due to security policies on this machine.
This can happen for two reasons:
* The correct user is not launching the executable (usually root)
* The org.freedesktop.PackageKit.conf file is not installed in the system directory: '/etc/dbus-1/system.d'
Comment 6 Matthias Clasen 2009-09-02 10:01:37 EDT
selinux in enforcing mode ?
Comment 7 Rakesh Pandit 2009-09-02 13:55:11 EDT
selinux was disabled since the recent restorecond bug. Will get it up and try reproducing.
Comment 8 Rakesh Pandit 2009-09-03 00:49:53 EDT
One selinux is up .. my NetworkManager violates Selinux policy, so wouldn't be able to test it, unless I use network service. In case it is worth to test for selinux on, ping me.

Thanks,
Comment 9 Richard Hughes 2009-09-25 05:30:15 EDT
(In reply to comment #5)
> [rakesh@rocky Desktop]$ packagekitd
> Error trying to start: Startup failed due to security policies on this machine.
> This can happen for two reasons:
> * The correct user is not launching the executable (usually root)
> * The org.freedesktop.PackageKit.conf file is not installed in the system
> directory: '/etc/dbus-1/system.d'

You need to do this as the root user. Use:

sudo packagekitd --verbose

Thanks.
Comment 10 Adam Williamson 2009-10-22 15:34:19 EDT
Noting a comment from Richard on fedora-devel-list so we have it for reference in the blocker bug review tomorrow:

"This has been reported by one person (no dupes), and I'm still waiting for more information. I suspect it's actually a hardware problem or file-system corruption on the reporters computer. Basically, I don't think this should be a blocker."

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Rakesh Pandit 2009-10-23 00:25:55 EDT
The test box on which I was able to reproduce is not available any more due to some reasons :( and I don't have any other box running rawhide.

I tried reproducing on F12 beta and was not able to reproduce.

The button request is already fixed via commit 13fc2df4e5e3a21ff2fbe1ddc672a1f6aa7a9595 .

You may close it with INSUFFICIENT_DATA or NOTABUG.
Comment 12 Adam Williamson 2009-10-23 13:01:36 EDT
Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers